function [n1 n2 as1 as2 lc1 lc2 tc1 tc2]=ASFileParse(ASfile)
% n1 is the provider's number of network 1
% n2 is the provider's number of network 2
% lc1 is the provider's cost of network 1
% lc2 is the provider's cost of network 2
% tc1 is 3*n matrix and the first row is the route cost from network 1 to
% network 2, the second row the minimum hop number of each route, the third
% row is the diversity of each path
% tc2 is 3*n matrix and the first row is the route cost from network 2 to
% network 1, the second row the minimum hop number of each route, the third
% row is the diversity of each path
% as1 is the AS number of network 1's provider
% as2 is the AS number of network 2's provider

N = 5;
fid = fopen(ASfile,'r');
n1 = fscanf(fid, '%f', 2);
n1 = n1(2);
lc1 = fscanf(fid, '%f %f', [2,n1]);
as1 = lc1(1,:);
lc1 = N*(lc1(2,:)+1);
n2 = fscanf(fid, '%f', 2);
n2 = n2(2);
lc2 = fscanf(fid, '%f %f', [2,n2]);
as2 = lc2(1,:);
lc2 = N*(lc2(2,:)+1);

tc1 = zeros(3, n1*n2);
tc2 = zeros(3, n1*n2);

% deta=0.5;
% for i=1:n1
%     for j=1:n2
%         fscanf(fid, '%f %f', [2,1]);
%         div = fscanf(fid, '%f', 1);
%         hop = fscanf(fid, '%f', div);
%         r=zeros(div,1);
%         for k=1:div
%             r(k)=randn(1)*deta;
%             while r(k)<=-1
%                 r(k)=randn(1)*deta;
%             end
%         end
%         tc1(2,(i-1)*n2+j)=min(hop);
%         tc1(3,(i-1)*n2+j)=div;
%         tc1(1,(i-1)*n2+j)=abs(r(1)*30);%PCfunction(hop);
%         hop2=hop.*(1+r);
%         tc2(2,(j-1)*n1+i)=min(hop2);
%         tc2(3,(j-1)*n1+i)=div;
%         tc2(1,(j-1)*n1+i)=abs(r(k)*30);%PCfunction(hop2);
%         %tc1(:,(i-1)*n2+j)=tc2(:,(j-1)*n1+i);
%     end
% end
for i=1:n1*n2
    fscanf(fid, '%f %f', [2,1]);
    div = fscanf(fid, '%f', 1);
    hop = fscanf(fid, '%f', div);
    tc1(2,i)=min(hop);
    tc1(3,i)=div;
    tc1(1,i)=PCfunction(hop);
end
for i=1:n1*n2
    fscanf(fid, '%f %f', [2,1]);
    div = fscanf(fid, '%f', 1);
    hop = fscanf(fid, '%f', div);
    tc2(2,i)=min(hop);
    tc2(1,i)=PCfunction(hop);
    tc2(3,i)=div;
end
tmp = zeros(3, n1*n2);
for i=1:n1
    for j=1:n2
        tmp(:,(j-1)*n1+i)=tc2(:,(i-1)*n2+j);
    end
end
%tc2=tmp;
% for i=1:n1
%     for j=1:n2
%        tc1(:,(i-1)*n2+j)=tc2(:,(j-1)*n1+i);
%     end
% end
fclose(fid);