function d=StabCalculation(lastSol, currentSol)
% StabCalculation calculates the distance between the last solution and the
% current solution of network load balance
% lastSol is the last solution and currentSol is the current solution. They
% are all 2*n matrix, in which the first row is the number of the route,
% and the second row is the load balance of each solution.
d=0;
if (~lastSol)
    return;
end
for i=1:size(lastSol,2)
    flag=0;
    for j=1:size(currentSol,2)
        if lastSol(1,i)==currentSol(1,j) && lastSol(2,i)==currentSol(2,j)
            flag=1;
            if lastSol(3,i)>currentSol(3,j)
                d=d+lastSol(3,i)-currentSol(3,j);
                continue;
            end
        end
    end
    if flag==0
        d=d+lastSol(3,i);
    end
end
        
